/* updatable_row_binding.cpp - binding wxWindow to display and edit value
    of some field in wxPg::Updatable_row.

    Copyright (C) 2009 Aurimas Černius

    This file is part of wxPostgres.

    wxPostgres is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    wxPostgres is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with wxPostgres.  If not, see <http://www.gnu.org/licenses/>.
*/


#include<wxPg/binding/updatable_row_binding.h>


wxPg::Updatable_row_binding::Updatable_row_binding(Updatable_row *data)
    : wxPg::Row_binding(data)
{}


void
wxPg::Updatable_row_binding::collect(){
    Updatable_row *row = this->data();
    if(!row)
        return;
    for(unsigned i = 0; i < this->ctrl_bindings_.size(); ++i)
        (*this->ctrl_bindings_[i])(row);
}
