/* testdb.h - Database class for test programs.

    Copyright (C) 2009 Aurimas Černius

    This file is part of wxPostgres.

    wxPostgres is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    wxPostgres is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with wxPostgres.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __TESTDB_H
#define __TESTDB_H

#include<wx/wx.h>
#include<wxPg/db/database.h>

class
Database : public wxPg::Database{
public:
    virtual void
    sql_monitor(const wxString &sql);

    wxString
    clean_sql_mon();
private:
    wxString
    sql_mon_;
};

extern Database
db;


bool
db_connect();

#endif
